diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/examples/wifi-phy-configuration.cc ns-3.44/src/wifi/examples/wifi-phy-configuration.cc
--- ns-3.43/src/wifi/examples/wifi-phy-configuration.cc	2024-10-09 16:41:10.112656800 -0700
+++ ns-3.44/src/wifi/examples/wifi-phy-configuration.cc	2025-03-09 16:55:49.775372500 -0700
@@ -30,8 +30,8 @@
 /**
  * Get the Yans Wifi Phy Ptr object for the 1st node in the NodeContainer
  *
- * \param nc The node container.
- * \return the Yans Wifi Phy Ptr object of the 1st node in the NodeContainer
+ * @param nc The node container.
+ * @return the Yans Wifi Phy Ptr object of the 1st node in the NodeContainer
  */
 Ptr<YansWifiPhy>
 GetYansWifiPhyPtr(const NetDeviceContainer& nc)
@@ -44,7 +44,7 @@
 /**
  * Print the attributes to a file.
  *
- * \param enabled Enable printing.
+ * @param enabled Enable printing.
  */
 void
 PrintAttributesIfEnabled(bool enabled)
@@ -124,8 +124,8 @@
         phySta = GetYansWifiPhyPtr(staDevice);
         // We expect channel 36, width 20, frequency 5180
         NS_ASSERT(phySta->GetChannelNumber() == 36);
-        NS_ASSERT(phySta->GetChannelWidth() == 20);
-        NS_ASSERT(phySta->GetFrequency() == 5180);
+        NS_ASSERT(phySta->GetChannelWidth() == MHz_u{20});
+        NS_ASSERT(phySta->GetFrequency() == MHz_u{5180});
         PrintAttributesIfEnabled(printAttributes);
         break;
     case 2:
@@ -135,8 +135,8 @@
         phySta = GetYansWifiPhyPtr(staDevice);
         // We expect channel 1, width 22, frequency 2412
         NS_ASSERT(phySta->GetChannelNumber() == 1);
-        NS_ASSERT(phySta->GetChannelWidth() == 22);
-        NS_ASSERT(phySta->GetFrequency() == 2412);
+        NS_ASSERT(phySta->GetChannelWidth() == MHz_u{22});
+        NS_ASSERT(phySta->GetFrequency() == MHz_u{2412});
         PrintAttributesIfEnabled(printAttributes);
         break;
     case 3:
@@ -146,8 +146,8 @@
         phySta = GetYansWifiPhyPtr(staDevice);
         // We expect channel 1, width 20, frequency 2412
         NS_ASSERT(phySta->GetChannelNumber() == 1);
-        NS_ASSERT(phySta->GetChannelWidth() == 20);
-        NS_ASSERT(phySta->GetFrequency() == 2412);
+        NS_ASSERT(phySta->GetChannelWidth() == MHz_u{20});
+        NS_ASSERT(phySta->GetFrequency() == MHz_u{2412});
         PrintAttributesIfEnabled(printAttributes);
         break;
     case 4:
@@ -158,8 +158,8 @@
         phySta = GetYansWifiPhyPtr(staDevice);
         // We expect channel 36, width 20, frequency 5180
         NS_ASSERT(phySta->GetChannelNumber() == 36);
-        NS_ASSERT(phySta->GetChannelWidth() == 20);
-        NS_ASSERT(phySta->GetFrequency() == 5180);
+        NS_ASSERT(phySta->GetChannelWidth() == MHz_u{20});
+        NS_ASSERT(phySta->GetFrequency() == MHz_u{5180});
         PrintAttributesIfEnabled(printAttributes);
         break;
     case 5:
@@ -169,8 +169,8 @@
         phySta = GetYansWifiPhyPtr(staDevice);
         // We expect channel 1, width 20, frequency 2412
         NS_ASSERT(phySta->GetChannelNumber() == 1);
-        NS_ASSERT(phySta->GetChannelWidth() == 20);
-        NS_ASSERT(phySta->GetFrequency() == 2412);
+        NS_ASSERT(phySta->GetChannelWidth() == MHz_u{20});
+        NS_ASSERT(phySta->GetFrequency() == MHz_u{2412});
         PrintAttributesIfEnabled(printAttributes);
         break;
     case 6:
@@ -180,8 +180,8 @@
         phySta = GetYansWifiPhyPtr(staDevice);
         // We expect channel 42, width 80, frequency 5210
         NS_ASSERT(phySta->GetChannelNumber() == 42);
-        NS_ASSERT(phySta->GetChannelWidth() == 80);
-        NS_ASSERT(phySta->GetFrequency() == 5210);
+        NS_ASSERT(phySta->GetChannelWidth() == MHz_u{80});
+        NS_ASSERT(phySta->GetFrequency() == MHz_u{5210});
         PrintAttributesIfEnabled(printAttributes);
         break;
     case 7:
@@ -193,8 +193,8 @@
         phySta = GetYansWifiPhyPtr(staDevice);
         // We expect channel 1, width 20, frequency 2412
         NS_ASSERT(phySta->GetChannelNumber() == 1);
-        NS_ASSERT(phySta->GetChannelWidth() == 20);
-        NS_ASSERT(phySta->GetFrequency() == 2412);
+        NS_ASSERT(phySta->GetChannelWidth() == MHz_u{20});
+        NS_ASSERT(phySta->GetFrequency() == MHz_u{2412});
         PrintAttributesIfEnabled(printAttributes);
         break;
     case 8:
@@ -204,8 +204,8 @@
         phySta = GetYansWifiPhyPtr(staDevice);
         // We expect channel 42, width 80, frequency 5210
         NS_ASSERT(phySta->GetChannelNumber() == 42);
-        NS_ASSERT(phySta->GetChannelWidth() == 80);
-        NS_ASSERT(phySta->GetFrequency() == 5210);
+        NS_ASSERT(phySta->GetChannelWidth() == MHz_u{80});
+        NS_ASSERT(phySta->GetFrequency() == MHz_u{5210});
         PrintAttributesIfEnabled(printAttributes);
         break;
     case 9:
@@ -216,8 +216,8 @@
         phySta = GetYansWifiPhyPtr(staDevice);
         // We expect channel 7, width 80, frequency 5985
         NS_ASSERT(phySta->GetChannelNumber() == 7);
-        NS_ASSERT(phySta->GetChannelWidth() == 80);
-        NS_ASSERT(phySta->GetFrequency() == 5985);
+        NS_ASSERT(phySta->GetChannelWidth() == MHz_u{80});
+        NS_ASSERT(phySta->GetFrequency() == MHz_u{5985});
         PrintAttributesIfEnabled(printAttributes);
         break;
     case 10:
@@ -228,8 +228,8 @@
         phySta = GetYansWifiPhyPtr(staDevice);
         // We expect channel 172, width 10, frequency 5860
         NS_ASSERT(phySta->GetChannelNumber() == 172);
-        NS_ASSERT(phySta->GetChannelWidth() == 10);
-        NS_ASSERT(phySta->GetFrequency() == 5860);
+        NS_ASSERT(phySta->GetChannelWidth() == MHz_u{10});
+        NS_ASSERT(phySta->GetFrequency() == MHz_u{5860});
         PrintAttributesIfEnabled(printAttributes);
         break;
     case 11:
@@ -240,8 +240,8 @@
         phySta = GetYansWifiPhyPtr(staDevice);
         // We expect channel 171, width 5, frequency 5860
         NS_ASSERT(phySta->GetChannelNumber() == 171);
-        NS_ASSERT(phySta->GetChannelWidth() == 5);
-        NS_ASSERT(phySta->GetFrequency() == 5860);
+        NS_ASSERT(phySta->GetChannelWidth() == MHz_u{5});
+        NS_ASSERT(phySta->GetFrequency() == MHz_u{5860});
         PrintAttributesIfEnabled(printAttributes);
         break;
     case 12:
@@ -252,8 +252,8 @@
         phySta = GetYansWifiPhyPtr(staDevice);
         // We expect channel 44, width 20, frequency 5220
         NS_ASSERT(phySta->GetChannelNumber() == 44);
-        NS_ASSERT(phySta->GetChannelWidth() == 20);
-        NS_ASSERT(phySta->GetFrequency() == 5220);
+        NS_ASSERT(phySta->GetChannelWidth() == MHz_u{20});
+        NS_ASSERT(phySta->GetFrequency() == MHz_u{5220});
         PrintAttributesIfEnabled(printAttributes);
         break;
     case 13:
@@ -271,8 +271,8 @@
             StringValue("{40, 0, BAND_5GHZ, 0}"));
         // We expect channel 40, width 20, frequency 5200
         NS_ASSERT(phySta->GetChannelNumber() == 40);
-        NS_ASSERT(phySta->GetChannelWidth() == 20);
-        NS_ASSERT(phySta->GetFrequency() == 5200);
+        NS_ASSERT(phySta->GetChannelWidth() == MHz_u{20});
+        NS_ASSERT(phySta->GetFrequency() == MHz_u{5200});
         PrintAttributesIfEnabled(printAttributes);
         break;
     case 14:
@@ -289,8 +289,8 @@
             "/NodeList/1/DeviceList/*/$ns3::WifiNetDevice/Phy/$ns3::YansWifiPhy/ChannelSettings",
             StringValue("{46, 0, BAND_5GHZ, 0}"));
         NS_ASSERT(phySta->GetChannelNumber() == 46);
-        NS_ASSERT(phySta->GetChannelWidth() == 40);
-        NS_ASSERT(phySta->GetFrequency() == 5230);
+        NS_ASSERT(phySta->GetChannelWidth() == MHz_u{40});
+        NS_ASSERT(phySta->GetFrequency() == MHz_u{5230});
         PrintAttributesIfEnabled(printAttributes);
         break;
     case 15:
@@ -307,8 +307,8 @@
             "/NodeList/1/DeviceList/*/$ns3::WifiNetDevice/Phy/$ns3::YansWifiPhy/ChannelSettings",
             StringValue("{46, 0, BAND_5GHZ, 0}"));
         NS_ASSERT(phySta->GetChannelNumber() == 46);
-        NS_ASSERT(phySta->GetChannelWidth() == 40);
-        NS_ASSERT(phySta->GetFrequency() == 5230);
+        NS_ASSERT(phySta->GetChannelWidth() == MHz_u{40});
+        NS_ASSERT(phySta->GetFrequency() == MHz_u{5230});
         PrintAttributesIfEnabled(printAttributes);
         break;
     case 16:
@@ -347,8 +347,8 @@
         phySta = GetYansWifiPhyPtr(staDevice);
         // We expect channel number to be 100 due to frequency 5500
         NS_ASSERT(phySta->GetChannelNumber() == 100);
-        NS_ASSERT(phySta->GetChannelWidth() == 20);
-        NS_ASSERT(phySta->GetFrequency() == 5500);
+        NS_ASSERT(phySta->GetChannelWidth() == MHz_u{20});
+        NS_ASSERT(phySta->GetFrequency() == MHz_u{5500});
         PrintAttributesIfEnabled(printAttributes);
         break;
     case 18:
@@ -390,8 +390,8 @@
         phySta->SetAttribute("ChannelSettings", StringValue("{36, 0, BAND_5GHZ, 0}"));
         // We expect channel number to be 36 due to known center frequency 5180
         NS_ASSERT(phySta->GetChannelNumber() == 36);
-        NS_ASSERT(phySta->GetChannelWidth() == 20);
-        NS_ASSERT(phySta->GetFrequency() == 5180);
+        NS_ASSERT(phySta->GetChannelWidth() == MHz_u{20});
+        NS_ASSERT(phySta->GetFrequency() == MHz_u{5180});
         exceptionThrown = false;
         try
         {
@@ -405,8 +405,8 @@
         NS_ASSERT(exceptionThrown);
         phySta->SetAttribute("ChannelSettings", StringValue("{36, 0, BAND_5GHZ, 0}"));
         NS_ASSERT(phySta->GetChannelNumber() == 36);
-        NS_ASSERT(phySta->GetChannelWidth() == 20);
-        NS_ASSERT(phySta->GetFrequency() == 5180);
+        NS_ASSERT(phySta->GetChannelWidth() == MHz_u{20});
+        NS_ASSERT(phySta->GetFrequency() == MHz_u{5180});
         PrintAttributesIfEnabled(printAttributes);
         break;
     case 20:
@@ -417,8 +417,8 @@
         apDevice = wifi.Install(phy, macAp, wifiApNode.Get(0));
         phySta = GetYansWifiPhyPtr(staDevice);
         NS_ASSERT(phySta->GetChannelNumber() == 40);
-        NS_ASSERT(phySta->GetChannelWidth() == 20);
-        NS_ASSERT(phySta->GetFrequency() == 5200);
+        NS_ASSERT(phySta->GetChannelWidth() == MHz_u{20});
+        NS_ASSERT(phySta->GetFrequency() == MHz_u{5200});
         // Set both channel and frequency to consistent values after initialization
         wifi.SetStandard(WIFI_STANDARD_80211n);
         staDevice = wifi.Install(phy, macSta, wifiStaNode.Get(0));
@@ -426,8 +426,8 @@
         phySta = GetYansWifiPhyPtr(staDevice);
         phySta->SetAttribute("ChannelSettings", StringValue("{40, 0, BAND_5GHZ, 0}"));
         NS_ASSERT(phySta->GetChannelNumber() == 40);
-        NS_ASSERT(phySta->GetChannelWidth() == 20);
-        NS_ASSERT(phySta->GetFrequency() == 5200);
+        NS_ASSERT(phySta->GetChannelWidth() == MHz_u{20});
+        NS_ASSERT(phySta->GetFrequency() == MHz_u{5200});
         exceptionThrown = false;
         try
         {
@@ -440,8 +440,8 @@
         phySta->SetAttribute("ChannelSettings", StringValue("{36, 0, BAND_5GHZ, 0}"));
         // We expect channel number to be 36 and an exception to be thrown
         NS_ASSERT(phySta->GetChannelNumber() == 36);
-        NS_ASSERT(phySta->GetChannelWidth() == 20);
-        NS_ASSERT(phySta->GetFrequency() == 5180);
+        NS_ASSERT(phySta->GetChannelWidth() == MHz_u{20});
+        NS_ASSERT(phySta->GetFrequency() == MHz_u{5180});
         NS_ASSERT(exceptionThrown);
         exceptionThrown = false;
         try
@@ -455,8 +455,8 @@
         phySta->SetAttribute("ChannelSettings", StringValue("{36, 0, BAND_5GHZ, 0}"));
         // We expect channel number to be 36 and an exception to be thrown
         NS_ASSERT(phySta->GetChannelNumber() == 36);
-        NS_ASSERT(phySta->GetChannelWidth() == 20);
-        NS_ASSERT(phySta->GetFrequency() == 5180);
+        NS_ASSERT(phySta->GetChannelWidth() == MHz_u{20});
+        NS_ASSERT(phySta->GetFrequency() == MHz_u{5180});
         NS_ASSERT(exceptionThrown);
         PrintAttributesIfEnabled(printAttributes);
         break;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/examples/wifi-phy-rx-trace-example.cc ns-3.44/src/wifi/examples/wifi-phy-rx-trace-example.cc
--- ns-3.43/src/wifi/examples/wifi-phy-rx-trace-example.cc	2024-10-09 16:41:10.112656800 -0700
+++ ns-3.44/src/wifi/examples/wifi-phy-rx-trace-example.cc	2025-03-09 16:55:49.775372500 -0700
@@ -69,7 +69,7 @@
 /**
  * Function called when a packet is received.
  *
- * \param socket The receiving socket.
+ * @param socket The receiving socket.
  */
 void
 ReceivePacket(Ptr<Socket> socket)
@@ -94,10 +94,10 @@
 /**
  * Generate traffic.
  *
- * \param socket The sending socket.
- * \param pktSize The packet size.
- * \param pktCount The packet count.
- * \param pktInterval The interval between two packets.
+ * @param socket The sending socket.
+ * @param pktSize The packet size.
+ * @param pktCount The packet count.
+ * @param pktInterval The interval between two packets.
  */
 static void
 GeneratePacket(Ptr<Socket> socket, uint32_t pktSize, uint32_t pktCount, Time pktInterval)
@@ -134,7 +134,7 @@
     double distance = 1;        // meters
     bool enableTwoBss = false;  // whether to enable a second (non-traced) BSS
     double distanceTwoBss = 10; // meters (distance between APs if enableTwoBss is true)
-    Time interval = Seconds(1.0);
+    Time interval = Seconds(1);
     bool verbose = true;
     bool logging = false;
 
@@ -303,7 +303,7 @@
     rxTraceHelper.Stop(stopTime);
 
     Simulator::ScheduleWithContext(source->GetNode()->GetId(),
-                                   Seconds(1.0),
+                                   Seconds(1),
                                    &GeneratePacket,
                                    source,
                                    packetSize,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/examples/wifi-phy-test.cc ns-3.44/src/wifi/examples/wifi-phy-test.cc
--- ns-3.43/src/wifi/examples/wifi-phy-test.cc	2024-10-09 16:41:10.112656800 -0700
+++ ns-3.44/src/wifi/examples/wifi-phy-test.cc	2025-03-09 16:55:49.775372500 -0700
@@ -45,8 +45,8 @@
 
     /**
      * Run function
-     * \param input the PSR experiment
-     * \returns the PSR experiment output
+     * @param input the PSR experiment
+     * @returns the PSR experiment output
      */
     PsrExperiment::Output Run(PsrExperiment::Input input);
 
@@ -55,15 +55,15 @@
     void Send();
     /**
      * Send receive function
-     * \param psdu the PSDU
-     * \param rxSignalInfo the info on the received signal (\see RxSignalInfo)
-     * \param txVector the wifi transmit vector
-     * \param statusPerMpdu reception status per MPDU
+     * @param psdu the PSDU
+     * @param rxSignalInfo the info on the received signal (\see RxSignalInfo)
+     * @param txVector the wifi transmit vector
+     * @param statusPerMpdu reception status per MPDU
      */
     void Receive(Ptr<const WifiPsdu> psdu,
                  RxSignalInfo rxSignalInfo,
-                 WifiTxVector txVector,
-                 std::vector<bool> statusPerMpdu);
+                 const WifiTxVector& txVector,
+                 const std::vector<bool>& statusPerMpdu);
     Ptr<WifiPhy> m_tx; ///< transmit
     Input m_input;     ///< input
     Output m_output;   ///< output
@@ -84,8 +84,8 @@
 void
 PsrExperiment::Receive(Ptr<const WifiPsdu> psdu,
                        RxSignalInfo rxSignalInfo,
-                       WifiTxVector txVector,
-                       std::vector<bool> statusPerMpdu)
+                       const WifiTxVector& txVector,
+                       const std::vector<bool>& statusPerMpdu)
 {
     m_output.received++;
 }
@@ -175,8 +175,8 @@
 
     /**
      * Run function
-     * \param input the collision experiment data
-     * \returns the experiment output
+     * @param input the collision experiment data
+     * @returns the experiment output
      */
     CollisionExperiment::Output Run(CollisionExperiment::Input input);
 
@@ -187,15 +187,15 @@
     void SendB() const;
     /**
      * Receive function
-     * \param psdu the PSDU
-     * \param rxSignalInfo the info on the received signal (\see RxSignalInfo)
-     * \param txVector the wifi transmit vector
-     * \param statusPerMpdu reception status per MPDU
+     * @param psdu the PSDU
+     * @param rxSignalInfo the info on the received signal (\see RxSignalInfo)
+     * @param txVector the wifi transmit vector
+     * @param statusPerMpdu reception status per MPDU
      */
     void Receive(Ptr<const WifiPsdu> psdu,
                  RxSignalInfo rxSignalInfo,
-                 WifiTxVector txVector,
-                 std::vector<bool> statusPerMpdu);
+                 const WifiTxVector& txVector,
+                 const std::vector<bool>& statusPerMpdu);
     Ptr<WifiPhy> m_txA; ///< transmit A
     Ptr<WifiPhy> m_txB; ///< transmit B
     uint32_t m_flowIdA; ///< flow ID A
@@ -231,8 +231,8 @@
 void
 CollisionExperiment::Receive(Ptr<const WifiPsdu> psdu,
                              RxSignalInfo rxSignalInfo,
-                             WifiTxVector txVector,
-                             std::vector<bool> statusPerMpdu)
+                             const WifiTxVector& txVector,
+                             const std::vector<bool>& statusPerMpdu)
 {
     FlowIdTag tag;
     if ((*psdu->begin())->GetPacket()->FindFirstMatchingByteTag(tag))
@@ -253,7 +253,7 @@
 }
 
 CollisionExperiment::Input::Input()
-    : interval(MicroSeconds(0)),
+    : interval(),
       xA(-5),
       xB(5),
       txModeA("OfdmRate6Mbps"),
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/examples/wifi-test-interference-helper.cc ns-3.44/src/wifi/examples/wifi-test-interference-helper.cc
--- ns-3.43/src/wifi/examples/wifi-test-interference-helper.cc	2024-10-09 16:41:10.112656800 -0700
+++ ns-3.44/src/wifi/examples/wifi-test-interference-helper.cc	2025-03-09 16:55:49.775372500 -0700
@@ -77,8 +77,8 @@
         meter_u xB;            ///< x B
         std::string txModeA;   ///< transmit mode A
         std::string txModeB;   ///< transmit mode B
-        double txPowerLevelA;  ///< transmit power level A
-        double txPowerLevelB;  ///< transmit power level B
+        dBm_u txPowerLevelA;   ///< transmit power level A
+        dBm_u txPowerLevelB;   ///< transmit power level B
         uint32_t packetSizeA;  ///< packet size A
         uint32_t packetSizeB;  ///< packet size B
         uint16_t channelA;     ///< channel number A
@@ -89,21 +89,21 @@
         WifiPhyBand band;      ///< band
         WifiPreamble preamble; ///< preamble
         bool captureEnabled;   ///< whether physical layer capture is enabled
-        double captureMargin;  ///< margin used for physical layer capture
+        dB_u captureMargin;    ///< margin used for physical layer capture
     };
 
     InterferenceExperiment();
     /**
      * Run function
-     * \param input the interference experiment data
+     * @param input the interference experiment data
      */
     void Run(InterferenceExperiment::Input input);
 
   private:
     /**
      * Function triggered when a packet is dropped
-     * \param packet the packet that was dropped
-     * \param reason the reason why it was dropped
+     * @param packet the packet that was dropped
+     * @param reason the reason why it was dropped
      */
     void PacketDropped(Ptr<const Packet> packet, WifiPhyRxfailureReason reason);
     /// Send A function
@@ -180,24 +180,24 @@
 }
 
 InterferenceExperiment::Input::Input()
-    : interval(MicroSeconds(0)),
+    : interval(),
       xA(-5),
       xB(5),
       txModeA("OfdmRate54Mbps"),
       txModeB("OfdmRate54Mbps"),
-      txPowerLevelA(16.0206),
-      txPowerLevelB(16.0206),
+      txPowerLevelA(dBm_u{16.0206}),
+      txPowerLevelB(dBm_u{16.0206}),
       packetSizeA(1500),
       packetSizeB(1500),
       channelA(36),
       channelB(36),
-      widthA(20),
-      widthB(20),
+      widthA(MHz_u{20}),
+      widthB(MHz_u{20}),
       standard(WIFI_STANDARD_80211a),
       band(WIFI_PHY_BAND_5GHZ),
       preamble(WIFI_PREAMBLE_LONG),
       captureEnabled(false),
-      captureMargin(0)
+      captureMargin(dB_u{0})
 {
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/examples/wifi-trans-example.cc ns-3.44/src/wifi/examples/wifi-trans-example.cc
--- ns-3.43/src/wifi/examples/wifi-trans-example.cc	2024-10-09 16:41:10.112656800 -0700
+++ ns-3.44/src/wifi/examples/wifi-trans-example.cc	2025-03-09 16:55:49.779372700 -0700
@@ -15,6 +15,7 @@
 #include "ns3/spectrum-wifi-helper.h"
 #include "ns3/ssid.h"
 #include "ns3/string.h"
+#include "ns3/wifi-utils.h"
 
 using namespace ns3;
 
@@ -43,8 +44,8 @@
 main(int argc, char** argv)
 {
     std::string standardStr = "11a";
-    MHz_u bw = 20;
-    dBm_u pow = 23;
+    MHz_u bw{20};
+    dBm_u pow{23};
     bool verbose = false;
     CommandLine cmd(__FILE__);
     cmd.AddValue("standard",
@@ -76,8 +77,8 @@
         channelBand = "BAND_5GHZ";
         ssid = Ssid("ns380211a");
         dataRate = "OfdmRate6Mbps";
-        freq = 5180;
-        if (bw != 20)
+        freq = MHz_u{5180};
+        if (bw != MHz_u{20})
         {
             std::cout << "Bandwidth is not compatible with standard" << std::endl;
             return 1;
@@ -90,10 +91,10 @@
         channelBand = "BAND_5GHZ";
         ssid = Ssid("ns380211p_10MHZ");
         dataRate = "OfdmRate3MbpsBW10MHz";
-        freq = 5860;
+        freq = MHz_u{5860};
         dataStartTime = MicroSeconds(1400);
         dataDuration = MicroSeconds(600);
-        if (bw != 10)
+        if (bw != MHz_u{10})
         {
             std::cout << "Bandwidth is not compatible with standard" << std::endl;
             return 1;
@@ -106,10 +107,10 @@
         channelBand = "BAND_5GHZ";
         ssid = Ssid("ns380211p_5MHZ");
         dataRate = "OfdmRate1_5MbpsBW5MHz";
-        freq = 5860;
+        freq = MHz_u{5860};
         dataStartTime = MicroSeconds(2500);
         dataDuration = MicroSeconds(1200);
-        if (bw != 5)
+        if (bw != MHz_u{5})
         {
             std::cout << "Bandwidth is not compatible with standard" << std::endl;
             return 1;
@@ -122,10 +123,10 @@
         channelBand = "BAND_2_4GHZ";
         ssid = Ssid("ns380211n_2_4GHZ");
         dataRate = "HtMcs0";
-        freq = 2402 + (bw / 2); // so as to have 2412/2422 for 20/40
+        freq = MHz_u{2402} + (bw / 2); // so as to have 2412/2422 for 20/40
         dataStartTime = MicroSeconds(4700);
         dataDuration = MicroSeconds(400);
-        if (bw != 20 && bw != 40)
+        if (bw != MHz_u{20} && bw != MHz_u{40})
         {
             std::cout << "Bandwidth is not compatible with standard" << std::endl;
             return 1;
@@ -138,9 +139,9 @@
         channelBand = "BAND_5GHZ";
         ssid = Ssid("ns380211n_5GHZ");
         dataRate = "HtMcs0";
-        freq = 5170 + (bw / 2); // so as to have 5180/5190 for 20/40
+        freq = MHz_u{5170} + (bw / 2); // so as to have 5180/5190 for 20/40
         dataStartTime = MicroSeconds(1000);
-        if (bw != 20 && bw != 40)
+        if (bw != MHz_u{20} && bw != MHz_u{40})
         {
             std::cout << "Bandwidth is not compatible with standard" << std::endl;
             return 1;
@@ -153,10 +154,10 @@
         channelBand = "BAND_5GHZ";
         ssid = Ssid("ns380211ac");
         dataRate = "VhtMcs0";
-        freq = 5170 + (bw / 2); // so as to have 5180/5190/5210/5250 for 20/40/80/160
+        freq = MHz_u{5170} + (bw / 2); // so as to have 5180/5190/5210/5250 for 20/40/80/160
         dataStartTime = MicroSeconds(1100);
         dataDuration += MicroSeconds(400); // account for ADDBA procedure
-        if (bw != 20 && bw != 40 && bw != 80 && bw != 160)
+        if (bw != MHz_u{20} && bw != MHz_u{40} && bw != MHz_u{80} && bw != MHz_u{160})
         {
             std::cout << "Bandwidth is not compatible with standard" << std::endl;
             return 1;
@@ -169,10 +170,10 @@
         channelBand = "BAND_2_4GHZ";
         ssid = Ssid("ns380211ax_2_4GHZ");
         dataRate = "HeMcs0";
-        freq = 2402 + (bw / 2); // so as to have 2412/2422/2442 for 20/40/80
+        freq = MHz_u{2402} + (bw / 2); // so as to have 2412/2422/2442 for 20/40/80
         dataStartTime = MicroSeconds(5500);
         dataDuration += MicroSeconds(2000); // account for ADDBA procedure
-        if (bw != 20 && bw != 40 && bw != 80)
+        if (bw != MHz_u{20} && bw != MHz_u{40} && bw != MHz_u{80})
         {
             std::cout << "Bandwidth is not compatible with standard" << std::endl;
             return 1;
@@ -185,10 +186,10 @@
         channelBand = "BAND_5GHZ";
         ssid = Ssid("ns380211ax_5GHZ");
         dataRate = "HeMcs0";
-        freq = 5170 + (bw / 2); // so as to have 5180/5190/5210/5250 for 20/40/80/160
+        freq = MHz_u{5170} + (bw / 2); // so as to have 5180/5190/5210/5250 for 20/40/80/160
         dataStartTime = MicroSeconds(1200);
         dataDuration += MicroSeconds(500); // account for ADDBA procedure
-        if (bw != 20 && bw != 40 && bw != 80 && bw != 160)
+        if (bw != MHz_u{20} && bw != MHz_u{40} && bw != MHz_u{80} && bw != MHz_u{160})
         {
             std::cout << "Bandwidth is not compatible with standard" << std::endl;
             return 1;
@@ -278,12 +279,13 @@
 
     /* frequency range for spectrum analyzer */
     std::vector<double> freqs;
-    int margin = 2; // 1MHz margin on each side
-    int band = (bw + margin);
+    const MHz_u margin{2}; // 1MHz margin on each side
+    const auto band = (bw + margin);
     freqs.reserve(4 * 10 * band);
+    const MHz_u scale{0.1};
     for (int i = 0; i < (4 * 10 * band); ++i) // conversion to 100kHz scale
     {
-        freqs.push_back(i * 1e5 + (freq - 2 * band) * 1e6);
+        freqs.push_back(MHzToHz((i * scale) + (freq - 2 * band)));
     }
     Ptr<SpectrumModel> spectrumAnalyzerFreqModel = Create<SpectrumModel>(freqs);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/helper/athstats-helper.cc ns-3.44/src/wifi/helper/athstats-helper.cc
--- ns-3.43/src/wifi/helper/athstats-helper.cc	2024-10-09 16:41:10.112656800 -0700
+++ ns-3.44/src/wifi/helper/athstats-helper.cc	2025-03-09 16:55:49.779372700 -0700
@@ -27,7 +27,7 @@
 NS_LOG_COMPONENT_DEFINE("Athstats");
 
 AthstatsHelper::AthstatsHelper()
-    : m_interval(Seconds(1.0))
+    : m_interval(Seconds(1))
 {
 }
 
@@ -110,7 +110,7 @@
                             .AddConstructor<AthstatsWifiTraceSink>()
                             .AddAttribute("Interval",
                                           "Time interval between reports",
-                                          TimeValue(Seconds(1.0)),
+                                          TimeValue(Seconds(1)),
                                           MakeTimeAccessor(&AthstatsWifiTraceSink::m_interval),
                                           MakeTimeChecker());
     return tid;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/helper/athstats-helper.h ns-3.44/src/wifi/helper/athstats-helper.h
--- ns-3.43/src/wifi/helper/athstats-helper.h	2024-10-09 16:41:10.112656800 -0700
+++ ns-3.44/src/wifi/helper/athstats-helper.h	2025-03-09 16:55:49.779372700 -0700
@@ -41,27 +41,27 @@
     AthstatsHelper();
     /**
      * Enable athstats
-     * \param filename the file name
-     * \param nodeid the node ID
-     * \param deviceid the device ID
+     * @param filename the file name
+     * @param nodeid the node ID
+     * @param deviceid the device ID
      */
     void EnableAthstats(std::string filename, uint32_t nodeid, uint32_t deviceid);
     /**
      * Enable athstats
-     * \param filename the file name
-     * \param nd the device
+     * @param filename the file name
+     * @param nd the device
      */
     void EnableAthstats(std::string filename, Ptr<NetDevice> nd);
     /**
      * Enable athstats
-     * \param filename the file name
-     * \param d the collection of devices
+     * @param filename the file name
+     * @param d the collection of devices
      */
     void EnableAthstats(std::string filename, NetDeviceContainer d);
     /**
      * Enable athstats
-     * \param filename the file name
-     * \param n the collection of nodes
+     * @param filename the file name
+     * @param n the collection of nodes
      */
     void EnableAthstats(std::string filename, NodeContainer n);
 
@@ -94,8 +94,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     AthstatsWifiTraceSink();
